## libsdl2-mixer 2.6.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

# See docs/release_checklist.md
set(MAJOR_VERSION 2)
set(MINOR_VERSION 6)
set(MICRO_VERSION 2)
set(SDL_REQUIRED_VERSION 2.0.9)

# For historical reasons this is 3.0.0 rather than the expected 1.0.0
set(DYLIB_COMPATIBILITY_VERSION "3.0.0")

include(PrivateSdlFunctions)
sdl_calculate_derived_version_variables()

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
    message(FATAL_ERROR "Prevented in-tree built. Please create a build directory outside of the SDL_mixer source code and call cmake from there")
endif()

project(SDL2_mixer
    LANGUAGES C
    VERSION "${FULL_VERSION}"
)

message(STATUS "Configuring ${PROJECT_NAME} ${PROJECT_VERSION}")

if(POLICY CMP0112)
    # Target file component generator expressions do not add target dependencies.
    cmake_policy(SET CMP0112 NEW)
endif()

# Set defaults preventing destination file conflicts
set(SDL2MIXER_DEBUG_POSTFIX "d"
    CACHE STRING "Name suffix for debug builds")
mark_as_advanced(SDL2MIXER_DEBUG_POSTFIX)

# Assume MSVC projects don't have a package manager and need vendored dependencies (by default).
# Most other platforms have some kind of package manager.
# FIXME: consider a package manager such as conan/vcpkg instead of vendoring
if(MSVC)
    set(vendored_default ON)
else()
    set(vendored_default OFF)
endif()

include(CheckSymbolExists)
include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

option(CMAKE_POSITION_INDEPENDENT_CODE "Build static libraries with -fPIC" ON)
option(BUILD_SHARED_LIBS "Build the library as a shared library" ON)

# Save BUILD_SHARED_LIBS variable as soon as possible
set(SDL2MIXER_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

option(SDL2MIXER_INSTALL "Enable SDL2mixer install target" ON)
option(SDL2MIXER_DEPS_SHARED "Default value for loading dependencies dynamically" ON)
option(SDL2MIXER_VENDORED "Use vendored third-party libraries" ${vendored_default})

option(SDL2MIXER_SAMPLES "Build the SDL2_mixer sample program(s)" ON)
cmake_dependent_option(SDL2MIXER_SAMPLES_INSTALL "Install the SDL2_mixer sample program(s)" OFF "SDL2MIXER_SAMPLES;SDL2MIXER_INSTALL" OFF)

if(UNIX AND NOT APPLE)
    set(sdl2mixer_cmd_default ON)
else()
    set(sdl2mixer_cmd_default OFF)
endif()
option(SDL2MIXER_CMD "Support an external music player" ${sdl2mixer_cmd_default})

option(SDL2MIXER_FLAC "Enable FLAC music" ON)

cmake_dependent_option(SDL2MIXER_FLAC_LIBFLAC "Enable FLAC music using libFLAC" ON SDL2MIXER_FLAC OFF)
cmake_dependent_option(SDL2MIXER_FLAC_LIBFLAC_SHARED "Dynamically load LIBFLAC" "${SDL2MIXER_DEPS_SHARED}" SDL2MIXER_FLAC_LIBFLAC OFF)

cmake_dependent_option(SDL2MIXER_FLAC_DRFLAC "Enable FLAC music using drflac" ON SDL2MIXER_FLAC OFF)

option(SDL2MIXER_MOD "Support loading MOD music" ON)

cmake_dependent_option(SDL2MIXER_MOD_MODPLUG "Support loading MOD music via modplug" ON SDL2MIXER_MOD OFF)
cmake_dependent_option(SDL2MIXER_MOD_MODPLUG_SHARED "Dynamically load modplug" "${SDL2MIXER_DEPS_SHARED}" SDL2MIXER_MOD_MODPLUG OFF)

cmake_dependent_option(SDL2MIXER_MOD_XMP "Support loading MOD music via libxmp" OFF SDL2MIXER_MOD OFF)
cmake_dependent_option(SDL2MIXER_MOD_XMP_LITE "Use libxmp-lite instead of libxmp" OFF SDL2MIXER_MOD_XMP OFF)
cmake_dependent_option(SDL2MIXER_MOD_XMP_SHARED "Dynamically load libxmp(-lite)" "${SDL2MIXER_DEPS_SHARED}" SDL2MIXER_MOD_XMP OFF)

if(SDL2MIXER_MOD AND NOT (SDL2MIXER_MOD_MODPLUG OR SDL2MIXER_MOD_XMP))
    message(FATAL_EROR "MOD support was enabled (SDL2MIXER_MOD) but neither mpdplug (SDL2MIXER_MOD_MODPLUG) or xmp (SDL2MIXER_MOD_XMP) was enabled.")
endif()

option(SDL2MIXER_MP3 "Enable MP3 music" ON)

cmake_dependent_option(SDL2MIXER_MP3_DRMP3 "Support loading MP3 music via dr_mp3" ON SDL2MIXER_MP3 OFF)

cmake_dependent_option(SDL2MIXER_MP3_MPG123 "Support loading MP3 music via MPG123" OFF SDL2MIXER_MP3 OFF)
cmake_dependent_option(SDL2MIXER_MP3_MPG123_SHARED "Dynamically load mpg123" "${SDL2MIXER_DEPS_SHARED}" SDL2MIXER_MP3_MPG123 OFF)

if(SDL2MIXER_MP3 AND NOT (SDL2MIXER_MP3_DRMP3 OR SDL2MIXER_MP3_MPG123))
    message(FATAL_ERROR "MP3 support was enabled (SDL2MIXER_MP3) but neither drmp3 (SDL2MIXER_MP3_DRMP3) or mpg123 (SDL2MIXER_MP3_MPG123) were enabled.")
endif()

option(SDL2MIXER_MIDI "Enable MIDI music" ON)

cmake_dependent_option(SDL2MIXER_MIDI_FLUIDSYNTH "Support FluidSynth MIDI output" ON "SDL2MIXER_MIDI;NOT SDL2MIXER_VENDORED" OFF)
cmake_dependent_option(SDL2MIXER_MIDI_FLUIDSYNTH_SHARED "Dynamically load libfluidsynth" "${SDL2MIXER_DEPS_SHARED}" SDL2MIXER_MIDI_FLUIDSYNTH OFF)

if(WIN32 OR APPLE OR HAIKU)
    cmake_dependent_option(SDL2MIXER_MIDI_NATIVE "Support native MIDI output" ON SDL2MIXER_MIDI OFF)
else()
    set(SDL2MIXER_MIDI_NATIVE OFF)
endif()

cmake_dependent_option(SDL2MIXER_MIDI_TIMIDITY "Support timidity MIDI output" ON SDL2MIXER_MIDI OFF)

if(SDL2MIXER_MIDI AND NOT (SDL2MIXER_MIDI_TIMIDITY OR SDL2MIXER_MIDI_NATIVE OR SDL2MIXER_MIDI_FLUIDSYNTH))
    message(FATAL_ERROR "MIDI support was enabled (SDL2MIXER_MIDI) but neither FluidSynth (SDL2MIXER_MIDI_FLUIDSYNTH), native (SDL2MIXER_MIDI_NATIVE) or timidity (SDL2MIXER_MIDI_TIMIDITY) was enabled")
endif()

option(SDL2MIXER_OPUS "Enable Opus music" ON)
cmake_dependent_option(SDL2MIXER_OPUS_SHARED "Dynamically load libopus" ON SDL2MIXER_OPUS OFF)

set(sdl2mixer_vorbis_strings STB TREMOR VORBISFILE)
set(SDL2MIXER_VORBIS "STB" CACHE STRING "Enable OGG Vorbis music")
set_property(CACHE SDL2MIXER_VORBIS PROPERTY STRINGS "${sdl2mixer_vorbis_strings}")
if(SDL2MIXER_VORBIS)
    if(NOT SDL2MIXER_VORBIS IN_LIST sdl2mixer_vorbis_strings)
        message(FATAL_ERROR "SDL2MIXER_VORBIS contains an invalid value (=${SDL2MIXER_VORBIS}). It must be one of ${sdl2mixer_vorbis_strings}.")
    endif()
endif()
set(SDL2MIXER_VORBIS_STB OFF)
set(SDL2MIXER_VORBIS_TREMOR OFF)
set(SDL2MIXER_VORBIS_VORBISFILE OFF)
if(SDL2MIXER_VORBIS STREQUAL "STB")
    set(SDL2MIXER_VORBIS_STB ON)
endif()
if(SDL2MIXER_VORBIS STREQUAL "TREMOR")
    set(SDL2MIXER_VORBIS_TREMOR ON)
endif()
if(SDL2MIXER_VORBIS STREQUAL "VORBISFILE")
    set(SDL2MIXER_VORBIS_VORBISFILE ON)
endif()
cmake_dependent_option(SDL2MIXER_VORBIS_TREMOR_SHARED "Dynamically load tremor library" ON SDL2MIXER_VORBIS_TREMOR OFF)
cmake_dependent_option(SDL2MIXER_VORBIS_VORBISFILE_SHARED "Dynamically load vorbisfile library" ON SDL2MIXER_VORBIS_VORBISFILE OFF)

option(SDL2MIXER_WAVE "Enable streaming WAVE music" ON)

if(SDL2MIXER_VORBIS_TREMOR OR SDL2MIXER_VORBIS_VORBISFILE OR SDL2MIXER_FLAC_LIBFLAC OR SDL2MIXER_OPUS)
    set(SDL2MIXER_OGG TRUE)
    set(SDL2MIXER_OGG_install FALSE)
    if(SDL2MIXER_VORBIS_VORBISFILE_SHARED OR SDL2MIXER_FLAC_SHARED OR SDL2MIXER_OPUS_SHARED)
        set(SDL2MIXER_OGG_SHARED TRUE)
        set(SDL2MIXER_OGG_install TRUE)
    else()
        set(SDL2MIXER_OGG_SHARED FALSE)
        if(NOT SDL2MIXER_BUILD_SHARED_LIBS)
            set(SDL2MIXER_OGG_install TRUE)
        endif()
    endif()
else()
    set(SDL2MIXER_OGG FALSE)
endif()

if(SDL2MIXER_BUILD_SHARED_LIBS)
    set(sdl2_mixer_export_name SDL2_mixer)
    set(sdl2_mixer_install_name_infix shared)
    set(sdl2_target_name SDL2::SDL2)
else()
    set(sdl2_mixer_export_name SDL2_mixer-static)
    set(sdl2_mixer_install_name_infix static)
    set(sdl2_target_name SDL2::SDL2-static)
endif()

sdl_find_sdl2(${sdl2_target_name} ${SDL_REQUIRED_VERSION})

set(BUILD_SHARED_LIBS ${SDL2MIXER_BUILD_SHARED_LIBS})
add_library(SDL2_mixer
    src/codecs/load_aiff.c
    src/codecs/load_voc.c
    src/codecs/mp3utils.c
    src/codecs/music_cmd.c
    src/codecs/music_drflac.c
    src/codecs/music_drmp3.c
    src/codecs/music_flac.c
    src/codecs/music_fluidsynth.c
    src/codecs/music_modplug.c
    src/codecs/music_mpg123.c
    src/codecs/music_nativemidi.c
    src/codecs/music_ogg.c
    src/codecs/music_ogg_stb.c
    src/codecs/music_opus.c
    src/codecs/music_timidity.c
    src/codecs/music_wav.c
    src/codecs/music_xmp.c
    src/effect_position.c
    src/effect_stereoreverse.c
    src/effects_internal.c
    src/mixer.c
    src/music.c
    src/utils.c
)
add_library(SDL2_mixer::${sdl2_mixer_export_name} ALIAS SDL2_mixer)
target_include_directories(SDL2_mixer
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/SDL2>"
    PRIVATE
        src
        src/codecs
)
target_compile_definitions(SDL2_mixer PRIVATE
    BUILD_SDL
    SDL_BUILD_MAJOR_VERSION=${MAJOR_VERSION}
    SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
    SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
)
target_link_libraries(SDL2_mixer PRIVATE $<BUILD_INTERFACE:${sdl2_target_name}>)
if(WIN32 AND BUILD_SHARED_LIBS)
    target_sources(SDL2_mixer PRIVATE
        version.rc
    )
endif()
set_target_properties(SDL2_mixer PROPERTIES
    DEFINE_SYMBOL DLL_EXPORT
    PUBLIC_HEADER "include/SDL_mixer.h"
    EXPORT_NAME ${sdl2_mixer_export_name}
    C_VISIBILITY_PRESET "hidden"
)
if(NOT ANDROID)
    set_target_properties(SDL2_mixer PROPERTIES
        DEBUG_POSTFIX "${SDL2MIXER_DEBUG_POSTFIX}"
    )
    if(APPLE)
        # the SOVERSION property corresponds to the compatibility version and VERSION corresponds to the current version
        # https://cmake.org/cmake/help/latest/prop_tgt/SOVERSION.html#mach-o-versions
        set_target_properties(SDL2_mixer PROPERTIES
            SOVERSION "${DYLIB_COMPATIBILITY_VERSION}"
            VERSION "${DYLIB_CURRENT_VERSION}"
        )
    else()
        set_target_properties(SDL2_mixer PROPERTIES
            SOVERSION "${LT_MAJOR}"
            VERSION "${LT_VERSION}"
        )
    endif()
endif()
if(SDL2MIXER_BUILD_SHARED_LIBS AND (APPLE OR (UNIX AND NOT ANDROID)))
    add_custom_command(TARGET SDL2_mixer POST_BUILD
        COMMAND "${CMAKE_COMMAND}" -E create_symlink "$<TARGET_SONAME_FILE_NAME:SDL2_mixer>" "libSDL2_mixer$<$<CONFIG:Debug>:${SDL2MIXER_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_mixer>"
        # BYPRODUCTS "libSDL2_mixer$<$<CONFIG:Debug>:${SDL2MIXER_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_mixer>" # Needs CMake 3.20
        WORKING_DIRECTORY "${PROJECT_BINARY_DIR}"
    )
endif()
if(SDL2MIXER_BUILD_SHARED_LIBS)
    if(WIN32 OR OS2)
        set_target_properties(SDL2_mixer PROPERTIES
            PREFIX ""
        )
    endif()
    if(OS2)
        # OS/2 doesn't support a DLL name longer than 8 characters.
        set_target_properties(SDL2_mixer PROPERTIES
            OUTPUT_NAME "SDL2mix"
        )
    elseif(UNIX AND NOT ANDROID)
        set_target_properties(SDL2_mixer PROPERTIES
            OUTPUT_NAME "SDL2_mixer-${LT_RELEASE}"
        )
    endif()
else()
    if(MSVC OR (WATCOM AND (WIN32 OR OS2)))
        set_target_properties(SDL2_mixer PROPERTIES
            OUTPUT_NAME "SDL2_mixer-static"
        )
    endif()
endif()

if(SDL2MIXER_BUILD_SHARED_LIBS)
    # Use `Compatible Interface Properties` to ensure a shared SDL2_mixer is linked to a shared SDL2 library
    set_property(TARGET SDL2_mixer PROPERTY INTERFACE_SDL2_SHARED ${SDL2MIXER_BUILD_SHARED_LIBS})
    set_property(TARGET SDL2_mixer APPEND PROPERTY COMPATIBLE_INTERFACE_BOOL SDL2_SHARED)
endif()

if(SDL2MIXER_BUILD_SHARED_LIBS)
    # Make sure static library dependencies are built with -fPIC when building a shared SDL2_mixer
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

set(INSTALL_EXTRA_TARGETS)
set(PC_LIBS)
set(PC_REQUIRES)

if(SDL2MIXER_CMD)
    target_compile_definitions(SDL2_mixer PRIVATE MUSIC_CMD)
    set(fork_found OFF)
    if(NOT fork_found)
        check_symbol_exists(fork sys/unistd.h HAVE_FORK)
        if(HAVE_FORK)
            set(fork_found ON)
            target_compile_definitions(SDL2_mixer PRIVATE HAVE_FORK)
        endif()
    endif()
    if(NOT fork_found)
        check_symbol_exists(fork sys/unistd.h HAVE_VFORK)
        if(HAVE_VFORK)
            set(fork_found ON)
            target_compile_definitions(SDL2_mixer PRIVATE HAVE_VFORK)
        endif()
    endif()
    if(NOT fork_found)

=== cmake/test/CMakeLists.txt ===
# This cmake build script is meant for verifying the various CMake configuration script.

cmake_minimum_required(VERSION 3.12)
project(sdl_test LANGUAGES C)

cmake_policy(SET CMP0074 NEW)

# Override CMAKE_FIND_ROOT_PATH_MODE to allow search for SDL2_mixer outside of sysroot
set(CMAKE_FIND_ROOT_PATH_MODE_PACKAGE NEVER)

include(FeatureSummary)

option(TEST_SHARED "Test linking to shared SDL2_mixer library" ON)
add_feature_info("TEST_SHARED" TEST_SHARED "Test linking with shared library")

option(TEST_STATIC "Test linking to static SDL2_mixer libary" ON)
add_feature_info("TEST_STATIC" TEST_STATIC "Test linking with static library")

if(TEST_SHARED)
    # FIXME: in the distant future, must become REQUIRED
    find_package(SDL2 CONFIG COMPONENTS SDL2)
    # FIXME: and the following should be removed
    if(NOT TARGET SDL2::SDL2)
        list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/..")
        include(PrivateSdlFunctions)
        sdl_find_sdl2(SDL2::SDL2 2.0)
    endif()
    find_package(SDL2_mixer REQUIRED CONFIG)
    add_executable(main_shared main.c)
    target_link_libraries(main_shared PRIVATE SDL2::SDL2 SDL2_mixer::SDL2_mixer)
endif()

if(TEST_STATIC)
    # FIXME: in the distant future, must become REQUIRED
    find_package(SDL2 CONFIG COMPONENTS SDL2-static)
    # FIXME: and the following should be removed
    if(NOT TARGET SDL2::SDL2-static)
        list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/..")
        include(PrivateSdlFunctions)
        sdl_find_sdl2(SDL2::SDL2-static 2.0)
    endif()
    # some static vendored libraries use c++ (enable CXX after `find_package` might show a warning)
    enable_language(CXX)
    find_package(SDL2_mixer REQUIRED CONFIG)
    add_executable(main_static main.c)
    target_link_libraries(main_static PRIVATE SDL2::SDL2-static SDL2_mixer::SDL2_mixer-static)
endif()

feature_summary(WHAT ALL)

## libsdl2-mixer 2.0.0+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.0+dfsg1-3) unstable; urgency=low

  * Bump Policy Standards-Version to 3.9.5 (no changes needed)
  * Do not call dh_autoreconf with autogen.sh as parameter, and use
    instead other methods to force the update of ltmain.sh and
    config.{sub,guess} files, needed when having new architectures such as
    arm64 (Closes: #727435)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 09 Mar 2014 11:24:29 +0000

libsdl2-mixer (2.0.0+dfsg1-2) unstable; urgency=low

  * Issue extra -I/usr/include/libmodplug during compilation to avoid a
    FTBFS due to recent changes in libmodplug (Closes: #725564)
  * Build-Depends on pkg-config
  * Clean-up of debian/rules

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 19 Oct 2013 16:30:18 +0100

libsdl2-mixer (2.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Filter upstream tarball from binaries and unneeded cruft
    - Remove from debian/copyright files that are now filtered out when creating
      the orig.tar
  * Remove patches carried from version sdl-mixer1.2, all of them were applied
    upstream (4) or had been backported (1)
  * Recommend MIDI patch set "freepats"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 13 Aug 2013 20:03:24 +0100

libsdl2-mixer (2.0.0~rc1-1) unstable; urgency=low

  * Initial release. (Closes: #711570)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 08 Jun 2013 01:16:42 +0100

=== debian/control ===
Source: libsdl2-mixer
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               libflac-dev (>= 1.2.1),
               libfluidsynth-dev (>= 1.1.1),
               libmad0-dev (>= 0.15.1b),
               libmodplug-dev (>= 1:0.8.8),
               libogg-dev (>= 1.2.0),
               libsdl2-dev (>= 2.0.0),
               libtool,
               libvorbis-dev (>= 1.2.0),
               pkg-config
Homepage: http://www.libsdl.org/projects/SDL_mixer/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2-mixer.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2-mixer.git

Package: libsdl2-mixer-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: freepats
Description: Mixer library for Simple DirectMedia Layer 2, libraries
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, modplug MOD, FluidSynth and
 Timidity MIDI, Ogg Vorbis, and MAD or SMPEG MP3 libraries.
 .
 This package contains the shared library.

Package: libsdl2-mixer-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: ${misc:Depends},
         libsdl2-mixer-2.0-0 (= ${binary:Version})
Description: Mixer library for Simple DirectMedia Layer 2, debugging
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, modplug MOD, FluidSynth and
 Timidity MIDI, Ogg Vorbis, and MAD or SMPEG MP3 libraries.
 .
 This package contains the debugging information for the shared library.

Package: libsdl2-mixer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsdl2-mixer-2.0-0 (= ${binary:Version}),
         libsdl2-dev (>= 2.0.0)
Description: Mixer library for Simple DirectMedia Layer 2, development files
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, modplug MOD, FluidSynth and
 Timidity MIDI, Ogg Vorbis, and MAD or SMPEG MP3 libraries.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# fix for #725564
MODPLUG_INCLUDE_DIR := -I/usr/include/libmodplug

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.0


# explicitly enable/disable all supported sound
#
# issue "disable-*-shared" flags for 'configure', otherwise SDL_mixer library
# opens those libraries in a plugin-like way (with SDL_LoadObject), and
# dpkg-shlibdeps doesn't seem to generate the needed dependencies in the binary
# library package
#
# enable external music player
confflags := --enable-music-cmd
# flac
confflags += --enable-music-flac
confflags += --disable-music-flac-shared
# MIDI
confflags += --enable-music-midi-fluidsynth
confflags += --disable-music-fluidsynth-shared
confflags += --enable-music-midi-timidity
confflags += --enable-music-midi-native
# MOD
confflags += --enable-music-mod
confflags += --enable-music-mod-modplug
confflags += --disable-music-mod-mikmod
confflags += --disable-music-mod-modplug-shared
# using libmad instead of libsmpeg for mp3 (it's much more popular)
confflags += --enable-music-mp3
confflags += --disable-music-mp3-smpeg
confflags += --enable-music-mp3-mad-gpl
# ogg
confflags += --enable-music-ogg
confflags += --disable-music-ogg-shared
# wav
confflags += --enable-music-wave


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # Needed to update all files to support new arches, including ltmain.sh
        # and config.{sub,guess}
	AUTOHEADER=true ACLOCAL="aclocal --force --install -I /usr/share/aclocal/ -I acinclude" LIBTOOLIZE="libtoolize -fi" dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_mixer.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
        # fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xplaymus.c -Xplaywave.c


override_dh_strip:
	dh_strip --dbg-package=libsdl2-mixer-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-mixer-2.0-0 (>= $(SHLIBVER))"

## libsdl2-mixer 2.0.1+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.1+dfsg1-3) unstable; urgency=medium

  * Update Recommends musescore-soundfont-gm -> timgm6mb-soundfont, thanks
    Thorsten Glaser (Closes: #870793)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 05 Aug 2017 13:48:50 +0200

libsdl2-mixer (2.0.1+dfsg1-2) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
      * disable autoheader (invoked automatically by autoreconf),
        necessary in order to use debhelper compat level v10 without
        overriding dh-autoreconf calls
  * Use automatic dbgsym packages, drop -dbg
  * Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 29 Jul 2017 23:18:31 +0200

libsdl2-mixer (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * d/examples/Makefile: link against SDL2_mixer.  Thanks Riku Saikkonen.
    (Closes: #774717)
  * d/patches:
    - Remove fix-750706-upstream-8ef083375857.patch, backported from upstream

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Jan 2016 16:54:51 +0000

libsdl2-mixer (2.0.0+dfsg1-5) unstable; urgency=medium

  * Add patch fix-750706-upstream-8ef083375857.patch backported from
    upstream to fix playing speed with timidity backend.  Thanks Sylvain
    Beucler (Closes: #750706)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 25 Oct 2014 11:07:28 +0100

libsdl2-mixer (2.0.0+dfsg1-4) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.6 (no changes needed)
  * Copy patch bug-715461-soundfont_paths.patch from sdl-mixer1.2 to use
    better quality sounds than those of freepats.  Thanks Fabian Greffrath
    (Closes: #766019)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 25 Oct 2014 00:45:21 +0100

=== debian/control ===
Source: libsdl2-mixer
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 10~),
               libflac-dev (>= 1.2.1),
               libfluidsynth-dev (>= 1.1.1),
               libmad0-dev (>= 0.15.1b),
               libmodplug-dev (>= 1:0.8.8),
               libogg-dev (>= 1.2.0),
               libsdl2-dev (>= 2.0.0),
               libtool,
               libvorbis-dev (>= 1.2.0),
               pkg-config
Homepage: http://www.libsdl.org/projects/SDL_mixer/
Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git


Package: libsdl2-mixer-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: timgm6mb-soundfont | fluid-soundfont-gm | freepats
Description: Mixer library for Simple DirectMedia Layer 2, libraries
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, modplug MOD, FluidSynth and
 Timidity MIDI, Ogg Vorbis, and MAD or SMPEG MP3 libraries.
 .
 This package contains the shared library.

Package: libsdl2-mixer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsdl2-mixer-2.0-0 (= ${binary:Version}),
         libsdl2-dev (>= 2.0.0)
Description: Mixer library for Simple DirectMedia Layer 2, development files
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, modplug MOD, FluidSynth and
 Timidity MIDI, Ogg Vorbis, and MAD or SMPEG MP3 libraries.
 .
 This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,20 @@
 MODPLUG_INCLUDE_DIR := -I/usr/include/libmodplug
 
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
+# bug #715461, provide default soundfont paths
+export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SHLIBVER := 2.0.0
+SHLIBVER := 2.0.1
+
+
+# disable autoheader (invoked automatically by autoreconf), necessary in order
+# to use debhelper compat level v10 without overriding dh-autoreconf calls
+export AUTOHEADER := /bin/true
+# use correct invocation of aclocal for autoreconf
+export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
 
 # explicitly enable/disable all supported sound
@@ -27,7 +36,7 @@
 confflags += --disable-music-flac-shared
 # MIDI
 confflags += --enable-music-midi-fluidsynth
-confflags += --disable-music-fluidsynth-shared
+confflags += --disable-music-midi-fluidsynth-shared
 confflags += --enable-music-midi-timidity
 confflags += --enable-music-midi-native
 # MOD
@@ -47,12 +56,7 @@
 
 
 %:
-	dh $@ --with autoreconf --parallel
-
-override_dh_autoreconf:
-        # Needed to update all files to support new arches, including ltmain.sh
-        # and config.{sub,guess}
-	AUTOHEADER=true ACLOCAL="aclocal --force --install -I /usr/share/aclocal/ -I acinclude" LIBTOOLIZE="libtoolize -fi" dh_autoreconf --as-needed
+	dh $@ --dbgsym-migration=libsdl2-mixer-dbg
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
@@ -65,15 +69,11 @@
 
 override_dh_link:
         # fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
+	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
 	dh_link --remaining-packages
 
 override_dh_compress:
 	dh_compress -Xplaymus.c -Xplaywave.c
 
-
-override_dh_strip:
-	dh_strip --dbg-package=libsdl2-mixer-dbg
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-mixer-2.0-0 (>= $(SHLIBVER))"

## libsdl2-mixer 2.0.2+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix the shlib symlink again, thanks again Andreas Beckmann
    (Closes: #877270).

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Nov 2017 17:19:39 +0100

libsdl2-mixer (2.0.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.2+dfsg1.
  * Bump Build-Depends to libsdl2-dev (>= 2.0.7) as per configure.in
    requirements.
  * Remove bug-715461-soundfont_paths.patch, applied upstream.
  * Bump SHLIBVER to 2.0.2 as INTERFACE_AGE has been reset in configure.in.
  * Call aclocal before dh_autoreconf to fix FTBFS.
  * Move the dbgsym-migration parameter to the dh_strip call.
  * Add support for the fluidr3mono-gm-soundfont package:
    + Add fluidr3mono-gm-soundfont to the list of alternative recommends.
    + Add Breaks: libfluidsynth1 (<< 1.1.7~) to make sure we have a
      version of that library available that supports the SF3 soundfont
      format.
    + Add the soundfont file to the MIX_INIT_SOUNDFONT_PATHS macro.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Nov 2017 17:00:37 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libmad0-dev (>= 0.15.1b),
                libmodplug-dev (>= 1:0.8.8),
                libogg-dev (>= 1.2.0),
-               libsdl2-dev (>= 2.0.0),
+               libsdl2-dev (>= 2.0.7),
                libtool,
                libvorbis-dev (>= 1.2.0),
                pkg-config
@@ -25,7 +25,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: timgm6mb-soundfont | fluid-soundfont-gm | freepats
+Recommends: fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm | freepats
+Breaks: libfluidsynth1 (<< 1.1.7~)
 Description: Mixer library for Simple DirectMedia Layer 2, libraries
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any
  number of simultaneously playing channels of 16 bit stereo audio, plus a single
@@ -40,7 +41,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libsdl2-mixer-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.0)
+         libsdl2-dev (>= 2.0.7)
 Description: Mixer library for Simple DirectMedia Layer 2, development files
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any
  number of simultaneously playing channels of 16 bit stereo audio, plus a single

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
 # bug #715461, provide default soundfont paths
-export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
+export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf3/FluidR3Mono_GM.sf3:/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SHLIBVER := 2.0.1
+SHLIBVER := 2.0.2
 
 
 # disable autoheader (invoked automatically by autoreconf), necessary in order
@@ -56,10 +56,14 @@
 
 
 %:
-	dh $@ --dbgsym-migration=libsdl2-mixer-dbg
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
+
+override_dh_autoreconf:
+	$(ACLOCAL)
+	dh_autoreconf
 
 override_dh_install:
 	dh_install --fail-missing -XlibSDL2_mixer.la
@@ -69,7 +73,7 @@
 
 override_dh_link:
         # fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
+	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
 	dh_link --remaining-packages
 
 override_dh_compress:
@@ -77,3 +81,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-mixer-2.0-0 (>= $(SHLIBVER))"
+
+override_dh_strip:
+	dh_strip --dbgsym-migration=libsdl2-mixer-dbg

## libsdl2-mixer 2.0.4%2Bdfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.4+dfsg1-4) UNRELEASED; urgency=medium

  * update

 -- Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>  Thu, 19 May 2022 10:25:21 +0800

libsdl2-mixer (2.0.4+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with autoconf 2.71 (Closes: #993157)

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Sep 2021 10:15:13 +0100

libsdl2-mixer (2.0.4+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Add a superficial autopkgtest for libsdl2-mixer-dev (Closes: #941428)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.

  [ Felix Geyer ]
  * Switch to debhelper compat level v12

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Fabian Greffrath ]
  * Backport a patch from upstream that fixes a use-after-free in
    music_fluidsynth.c, which would cause a segmentation fault with
    libfluidsynth 2.1.6 whenever a song was stopped.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 22 Jan 2021 10:59:38 +0100

libsdl2-mixer (2.0.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Recommend a recent enough timgm6mb-soundfont package or an
    alternative provider of sf3-soundfont-gm and use the default
    soundfont throughout the package.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 04 Aug 2019 13:48:23 +0200

libsdl2-mixer (2.0.4+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Verify signature of upstream tarball.
  * Switch from libmad to libmpg123 to avoid potential GPL licensing issues
    of libsdl2-mixer users.
  * Enable support for the Opus codec.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Feb 2019 12:40:50 +0100

libsdl2-mixer (2.0.2+dfsg1-3) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level v11
  * d/watch:
    - Set to version=4
    - Use https for URL
  * d/control:
    - Use https for Homepage URL
    - Set "Rules-Requires-Root: no"
    - Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Oct 2018 23:47:51 +0200

## libsdl2-mixer 2.0.4+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.4+dfsg1-4build1) jammy; urgency=medium

  * No-change rebuild against libfluidsynth3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:16:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: libsdl2-mixer
 Section: libs
 Priority: optional
-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                libflac-dev (>= 1.2.1),
                libfluidsynth-dev (>= 1.1.1),
-               libmad0-dev (>= 0.15.1b),
                libmodplug-dev (>= 1:0.8.8),
+               libmpg123-dev,
                libogg-dev (>= 1.2.0),
+               libopusfile-dev,
                libsdl2-dev (>= 2.0.7),
                libtool,
                libvorbis-dev (>= 1.2.0),
                pkg-config
-Homepage: http://www.libsdl.org/projects/SDL_mixer/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git
+Homepage: https://www.libsdl.org/projects/SDL_mixer/
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-mixer
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-mixer.git
 
 
 Package: libsdl2-mixer-2.0-0
@@ -25,7 +28,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm | freepats
+Recommends: timgm6mb-soundfont (>= 1.3-3~) | sf3-soundfont-gm
 Breaks: libfluidsynth1 (<< 1.1.7~)
 Description: Mixer library for Simple DirectMedia Layer 2, libraries
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
 # bug #715461, provide default soundfont paths
-export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf3/FluidR3Mono_GM.sf3:/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf3/default-GM.sf3\"
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 SHLIBVER := 2.0.2
 
@@ -44,13 +43,15 @@
 confflags += --enable-music-mod-modplug
 confflags += --disable-music-mod-mikmod
 confflags += --disable-music-mod-modplug-shared
-# using libmad instead of libsmpeg for mp3 (it's much more popular)
 confflags += --enable-music-mp3
-confflags += --disable-music-mp3-smpeg
-confflags += --enable-music-mp3-mad-gpl
+confflags += --enable-music-mp3-mpg123
+confflags += --disable-music-mp3-mpg123-shared
 # ogg
 confflags += --enable-music-ogg
 confflags += --disable-music-ogg-shared
+# opus
+confflags += --enable-music-opus
+confflags += --disable-music-opus-shared
 # wav
 confflags += --enable-music-wave
 
@@ -65,14 +66,14 @@
 	$(ACLOCAL)
 	dh_autoreconf
 
-override_dh_install:
-	dh_install --fail-missing -XlibSDL2_mixer.la
-
 override_dh_installchangelogs:
 	dh_installchangelogs -- CHANGES.txt
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_link:
-        # fix lintian warning dev-pkg-without-shlib-symlink
+	# fix lintian warning dev-pkg-without-shlib-symlink
 	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
 	dh_link --remaining-packages

## libsdl2-mixer 2.6.1+dfsg

=== debian/changelog ===
libsdl2-mixer (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release, functionally equivalent to 2.6.0+dfsg-2
    - d/p/configure.ac-Make-sure-to-set-VERSION.patch:
      Drop, applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Jul 2022 14:25:38 +0100

libsdl2-mixer (2.6.0+dfsg-2) unstable; urgency=medium

  * d/p/configure.ac-Make-sure-to-set-VERSION.patch:
    Add patch to ensure that Version is set in the .pc file.
    This resolves FTBFS in dependent packages like wesnoth-1.16.
  * d/tests: Verify that the pkg-config metadata has a suitable
    version number

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Jul 2022 12:29:17 +0100

libsdl2-mixer (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/libsdl2-mixer-2.0-0.symbols: Update
  * d/libsdl2-mixer-2.0-0.symbols: Use stable release for new symbols.
    We don't need to keep track of which specific prerelease introduced
    each symbol now that there's a stable release.
  * d/watch: Only look for stable releases
  * d/rules: Enable full compiler hardening
  * Switch branch for upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 14:55:01 +0100

libsdl2-mixer (2.5.2+dfsg-1) experimental; urgency=medium

  * New upstream prerelease
  * d/watch: Don't download Windows binaries, etc.
  * d/watch: Accept prereleases for experimental branch
  * Add myself to Uploaders
  * Drop all patches, included in the new upstream prerelease
  * d/libsdl2-mixer-dev.install: Install the new CMake metadata
  * d/tests: Exercise a CMake build

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 10:56:20 +0100

libsdl2-mixer (2.5.1+dfsg-2) experimental; urgency=medium

  * d/patches: Add post-release-candidate fixes from upstream
  * Standards-Version: 4.6.1 (no changes required)
  * d/.gitignore: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 31 May 2022 14:39:47 +0100

libsdl2-mixer (2.5.1+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream prerelease
  * d/watch: Download new releases from Github
  * d/watch: Don't download prereleases by default
  * d/copyright: Remove exclusion patterns that are no longer needed

 -- Simon McVittie <smcv@debian.org>  Thu, 26 May 2022 12:40:57 +0100

libsdl2-mixer (2.5.0~git20220523+g8805ff3+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
  * d/copyright: Update
  * d/rules: Update configure options
  * d/libsdl2-mixer-2.0-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 24 May 2022 18:12:01 +0100

libsdl2-mixer (2.5.0~git20220512.g4366e74+dfsg-1-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 16 May 2022 14:23:53 +0100

libsdl2-mixer (2.5.0~git20220509.g5c43733+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 09 May 2022 14:11:57 +0100

libsdl2-mixer (2.0.5~20220126.g6845d9f+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * Add -dev dependencies mentioned in .pc file

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Mar 2022 20:39:57 +0000

libsdl2-mixer (2.0.5~20220103.g3f5a050+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * d/copyright: Update
  * d/rules: Don't explicitly specify SHLIBVER.
    Specifying a version for dh_makeshlibs, and remembering to increment it
    every time new ABI is added, is error-prone. In debhelper compat level
    12 and up, the default is to generate a conservative dependency using
    dh_makeshlibs -VUpstream-Version. The symbols file (which is more
    precise) also takes precedence over the shlibs version.

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Jan 2022 14:14:05 +0000

libsdl2-mixer (2.0.5~20211214.gffd0589+dfsg-1) experimental; urgency=medium

  * Team upload
  * Branch for experimental
  * New upstream snapshot
    - Drop patches, applied upstream
    - d/copyright: Update
  * Add a .symbols file
  * d/copyright, d/gbp.conf: Filter more generated/vendored files.
    If we're repacking the tarball *anyway*, we might as well exclude these
    too. They'll be restored by dh_autoreconf.
  * Escape CPPFLAGS properly, so -fvisibility=hidden gets enabled.
    We had the wrong number of layers of escaping here, resulting in a
    compiler warning which indirectly disabled detection of
    -fvisibility=hidden.
  * Bump debhelper compat level from 12 to 13
    + debian/rules: Drop --fail-missing argument to dh_missing, which is
      now the default.
  * Re-export upstream signing key without extra signatures.
  * Drop transition for old debug package migration.
    The legacy -dbg package was replaced by -dbgsym in Debian 10, and we
    don't support skipping a release when upgrading.
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Dec 2021 20:36:45 +0000

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~.+](?:dfsg|ds)[0-9]*$//,repacksuffix=+dfsg,pgpmode=auto" \
https://github.com/libsdl-org/SDL_mixer/releases \
.*/SDL2_mixer-(\d+\.\d*[02468]\.\d+)@ARCHIVE_EXT@

# also: https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2-mixer 2.6.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 # fix for #725564
 MODPLUG_INCLUDE_DIR := -I/usr/include/libmodplug
 
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
 # bug #715461, provide default soundfont paths
-export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf3/default-GM.sf3\"
+export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS="\"/usr/share/sounds/sf3/default-GM.sf3\""
 
 include /usr/share/dpkg/architecture.mk
-
-SHLIBVER := 2.0.2
 
 
 # disable autoheader (invoked automatically by autoreconf), necessary in order
@@ -32,7 +32,9 @@
 confflags := --enable-music-cmd
 # flac
 confflags += --enable-music-flac
-confflags += --disable-music-flac-shared
+confflags += --enable-music-flac-libflac
+confflags += --disable-music-flac-libflac-shared
+confflags += --disable-music-flac-drflac
 # MIDI
 confflags += --enable-music-midi-fluidsynth
 confflags += --disable-music-midi-fluidsynth-shared
@@ -43,12 +45,18 @@
 confflags += --enable-music-mod-modplug
 confflags += --disable-music-mod-mikmod
 confflags += --disable-music-mod-modplug-shared
+# MP3
 confflags += --enable-music-mp3
 confflags += --enable-music-mp3-mpg123
 confflags += --disable-music-mp3-mpg123-shared
+confflags += --disable-music-mp3-drmp3
+confflags += --disable-music-mp3-mad-gpl
 # ogg
 confflags += --enable-music-ogg
-confflags += --disable-music-ogg-shared
+confflags += --enable-music-ogg-vorbis
+confflags += --disable-music-ogg-vorbis-shared
+confflags += --disable-music-ogg-tremor
+confflags += --disable-music-ogg-stb
 # opus
 confflags += --enable-music-opus
 confflags += --disable-music-opus-shared
@@ -69,9 +77,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -- CHANGES.txt
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_link:
 	# fix lintian warning dev-pkg-without-shlib-symlink
 	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
@@ -79,9 +84,3 @@
 
 override_dh_compress:
 	dh_compress -Xplaymus.c -Xplaywave.c
-
-override_dh_makeshlibs:
-	dh_makeshlibs -V"libsdl2-mixer-2.0-0 (>= $(SHLIBVER))"
-
-override_dh_strip:
-	dh_strip --dbgsym-migration=libsdl2-mixer-dbg

## libsdl2-mixer 2.6.2+dfsg

=== debian/changelog ===
libsdl2-mixer (2.6.2+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * d/p/music_opus.c-Fixed-the-memory-leak-after-tags.patch:
    Add minor memory leak fix from upstream release-2.6.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:13:41 +0100

libsdl2-mixer (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 21:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libsdl2-mixer
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.2.1
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libflac-dev (>= 1.2.1),
                libfluidsynth-dev (>= 1.1.1),
                libmodplug-dev (>= 1:0.8.8),
@@ -43,8 +42,15 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         libflac-dev (>= 1.2.1),
+         libfluidsynth-dev (>= 1.1.1),
+         libmodplug-dev (>= 1:0.8.8),
+         libmpg123-dev,
+         libogg-dev (>= 1.2.0),
+         libopusfile-dev,
+         libsdl2-dev (>= 2.0.7),
          libsdl2-mixer-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.7)
+         libvorbis-dev (>= 1.2.0),
 Description: Mixer library for Simple DirectMedia Layer 2, development files
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any
  number of simultaneously playing channels of 16 bit stereo audio, plus a single

=== debian/watch ===
version=4
# Upstream releases official Autotools 'make dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=gzip, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//;s/[+~](?:ds|dfsg)[0-9]*//, \
    downloadurlmangle=s#/tag/#/download/#;s#((?:pre)?release-?@ANY_VERSION@)$#$1/SDL2_mixer-$2.tar.gz#, \
    filenamemangle=s#(?:pre)?release-?@ANY_VERSION@#SDL2_mixer-$1.tar.gz#, \
    pgpmode=auto, \
    repack, \
    repacksuffix=+dfsg" \
https://github.com/libsdl-org/SDL_mixer/tags .*/releases/tag/release-?@ANY_VERSION@
